Subject: Re: bug#14525: ls -k produced no size, ls -lk lists in bytes? What's up w/k?

From: Linda Walsh <[email-masked]>
Date: Sat, 01 Jun 2013 14:54:32 -0700

Paul Eggert wrote:
> On 06/01/2013 09:20 AM, Linda A. Walsh wrote:
>> 	What replaced it?
>>
>> 	I mean it doesn't do something *different*, it just ignores it.
> 
> I'm not sure what behavior you're asking for, but if you want
> the old behavior of -k, you can use the --block-size=1KiB
> option.  So no functionality was lost.
> 
> -k (and --block-size=1KiB) affects only the block size of
> displayed values; it doesn't affect the choice of which
> values to display.
====
Maybe now, but that's not what used to be the case.

ls -k was consistent, with, say, 'du -k'.

I just checked, and ls -kl displayed sizes in terms of 'K'.

What switch(es) are supposed to be used to choose what units to display
sizes on the long listing?

I know the "-h" displays sizes using variable units,
but if I want to have it display all of the sizes in terms
of 'K' or 'M' or (not likely useful, but 'G' or 'T'), how
do I do it?

I do recall and note that the old display didn't display
units... but having short-hands for displaying the sizes
in a fixed-human size (like K/M... etc) would be a great
replacement...though w/o the units would give the same functionality
as before.

If 'k' doesn't have it, does posix mandate that the user can't
choose what unit to display things in?  Alot of non-posix features
happened because posix had deficits and it was a 'minimal, required
feature set' -- it wasn't necessarily a good user-interface.

It seems like Gnu has sold off to corporate interests in removing features
that exceeded posix... why, or what am I mising?  I see no sense in
dumbing down features that Gnu had over posix.  Let posix catch up!

If no one sets a better standard, posix will never improve.